commit:     8be9429fa01f4d74af99cec5339ed10d19b188c8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May  9 06:28:54 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May  9 06:29:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8be9429f

sys-fs/dislocker: clean up ebuild, sync live

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/dislocker/dislocker-0.7.3.ebuild | 22 ++++++++++------------
 sys-fs/dislocker/dislocker-9999.ebuild  | 27 +++++++++++++--------------
 2 files changed, 23 insertions(+), 26 deletions(-)

diff --git a/sys-fs/dislocker/dislocker-0.7.3.ebuild 
b/sys-fs/dislocker/dislocker-0.7.3.ebuild
index f568ccf9b76..59b0eed661e 100644
--- a/sys-fs/dislocker/dislocker-0.7.3.ebuild
+++ b/sys-fs/dislocker/dislocker-0.7.3.ebuild
@@ -5,15 +5,14 @@ EAPI=7
 
 inherit cmake flag-o-matic
 
-DESCRIPTION="Dislocker is used to read BitLocker encrypted partitions."
+DESCRIPTION="Dislocker is used to read BitLocker encrypted partitions"
 HOMEPAGE="https://github.com/Aorimn/dislocker";
 
 if [[ ${PV} == *9999* ]]; then
        EGIT_REPO_URI="https://github.com/Aorimn/dislocker.git";
        inherit git-r3
 else
-       SRC_URI="https://github.com/Aorimn/dislocker/archive/v${PV}.tar.gz -> 
${P}.tar.gz
-       
https://dev.gentoo.org/~juippis/distfiles/tmp/dislocker-0.7.1-fix-find-ruby.patch";
+       SRC_URI="https://github.com/Aorimn/dislocker/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
 fi
 
@@ -31,25 +30,23 @@ RDEPEND="${DEPEND}"
 CMAKE_REMOVE_MODULES_LIST="${CMAKE_REMOVE_MODULES_LIST} FindRuby"
 
 src_prepare() {
-       if use ruby && [[ ${PV} == "0.7.1" ]]; then
-               PATCHES=( "${DISTDIR}/${P}-fix-find-ruby.patch" )
-       fi
        cmake_src_prepare
 
-# We either need to change Werror to Wno-error or remove the multiple 
declarations of FORTIFY_SOURCE
-#    sed 's:Werror:Wno-error:g' -i "${S}/src/CMakeLists.txt" || die
+       # We either need to change Werror to Wno-error or remove the multiple 
declarations of FORTIFY_SOURCE
+       #sed 's:Werror:Wno-error:g' -i "${S}/src/CMakeLists.txt" || die
        sed 's:-D_FORTIFY_SOURCE=2::g' -i "${S}/src/CMakeLists.txt" || die
 
-#      sed 's:\.\./man:'../../${P}/man':g' -i "${S}/src/CMakeLists.txt" || die
-# Do not process compressed versions of the manuals
+       # Do not process compressed versions of the manuals
+       #sed 's:\.\./man:'../../${P}/man':g' -i "${S}/src/CMakeLists.txt" || die
        sed -r 's:( create_symlink \$\{BIN_FUSE\}\.1)\.gz (.+\.1)\.gz\\:\1 
\2\\:' -i "${S}/src/CMakeLists.txt" || die
        sed -r 's:^(.+\.1\.gz):#\1:' -i "${S}/src/CMakeLists.txt" || die
 }
 
 src_configure() {
-       mycmakeargs=(
+       local mycmakeargs=(
                $(cmake_use_find_package ruby Ruby)
        )
+
        cmake_src_configure
 }
 
@@ -57,6 +54,7 @@ src_install() {
        if ! use ruby; then
                rm "${S}/man/linux/${PN}-find.1" || die
        fi
-       find "${S}/man/linux" -name '*.1' -exec doman '{}' +
+
+       find "${S}/man/linux" -name '*.1' -exec doman '{}' + || die
        cmake_src_install
 }

diff --git a/sys-fs/dislocker/dislocker-9999.ebuild 
b/sys-fs/dislocker/dislocker-9999.ebuild
index 90375bf7590..59b0eed661e 100644
--- a/sys-fs/dislocker/dislocker-9999.ebuild
+++ b/sys-fs/dislocker/dislocker-9999.ebuild
@@ -3,18 +3,16 @@
 
 EAPI=7
 
-CMAKE_REMOVE_MODULES_LIST="${CMAKE_REMOVE_MODULES_LIST} FindRuby"
 inherit cmake flag-o-matic
 
-DESCRIPTION="Read BitLocker encrypted partitions"
+DESCRIPTION="Dislocker is used to read BitLocker encrypted partitions"
 HOMEPAGE="https://github.com/Aorimn/dislocker";
 
 if [[ ${PV} == *9999* ]]; then
        EGIT_REPO_URI="https://github.com/Aorimn/dislocker.git";
        inherit git-r3
 else
-       SRC_URI="https://github.com/Aorimn/dislocker/archive/v${PV}.tar.gz -> 
${P}.tar.gz
-       
https://dev.gentoo.org/~juippis/distfiles/tmp/dislocker-0.7.1-fix-find-ruby.patch";
+       SRC_URI="https://github.com/Aorimn/dislocker/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
 fi
 
@@ -29,26 +27,26 @@ DEPEND="
 "
 RDEPEND="${DEPEND}"
 
+CMAKE_REMOVE_MODULES_LIST="${CMAKE_REMOVE_MODULES_LIST} FindRuby"
+
 src_prepare() {
-       if use ruby && [[ ${PV} == "0.7.1" ]]; then
-               PATCHES=( "${DISTDIR}/${P}-fix-find-ruby.patch" )
-       fi
        cmake_src_prepare
 
-# We either need to change Werror to Wno-error or remove the multiple 
declarations of FORTIFY_SOURCE
-#    sed 's:Werror:Wno-error:g' -i "src/CMakeLists.txt" || die
-       sed 's:-D_FORTIFY_SOURCE=2::g' -i "src/CMakeLists.txt" || die
+       # We either need to change Werror to Wno-error or remove the multiple 
declarations of FORTIFY_SOURCE
+       #sed 's:Werror:Wno-error:g' -i "${S}/src/CMakeLists.txt" || die
+       sed 's:-D_FORTIFY_SOURCE=2::g' -i "${S}/src/CMakeLists.txt" || die
 
-#      sed 's:\.\./man:'../../${P}/man':g' -i "src/CMakeLists.txt" || die
-# Do not process compressed versions of the manuals
-       sed -r 's:( create_symlink \$\{BIN_FUSE\}\.1)\.gz (.+\.1)\.gz\\:\1 
\2\\:' -i "src/CMakeLists.txt" || die
-       sed -r 's:^(.+\.1\.gz):#\1:' -i "src/CMakeLists.txt" || die
+       # Do not process compressed versions of the manuals
+       #sed 's:\.\./man:'../../${P}/man':g' -i "${S}/src/CMakeLists.txt" || die
+       sed -r 's:( create_symlink \$\{BIN_FUSE\}\.1)\.gz (.+\.1)\.gz\\:\1 
\2\\:' -i "${S}/src/CMakeLists.txt" || die
+       sed -r 's:^(.+\.1\.gz):#\1:' -i "${S}/src/CMakeLists.txt" || die
 }
 
 src_configure() {
        local mycmakeargs=(
                $(cmake_use_find_package ruby Ruby)
        )
+
        cmake_src_configure
 }
 
@@ -56,6 +54,7 @@ src_install() {
        if ! use ruby; then
                rm "${S}/man/linux/${PN}-find.1" || die
        fi
+
        find "${S}/man/linux" -name '*.1' -exec doman '{}' + || die
        cmake_src_install
 }

Reply via email to